package com.sqx.modules.shop.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.goods.entity.GoodsShop;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface ShopMessageDao extends BaseMapper<GoodsShop> {

    IPage<GoodsShop> selectShopList(Page<GoodsShop> pages, String shopName, Integer status, Integer shopType);

    int updateAuditReasonIsNull(Long shopId);

    GoodsShop selectShopAuthentication(String phone);

    void userFeedback(Long shopId, String userEmail, Integer feedbackScore, String feedbackMessage, String format);

    GoodsShop selectShopByUserId(Long userId);

}
